Release Notes of YASKAWA CimScope
                                    YASKAWA Electric Corp.
==========================================================
1. Version Information
==========================================================
ver0.10  1999.05.11 Release (For YASKAWA Inside only)
ver0.11  1999.05.24 Release (For YASKAWA Inside only)
ver0.12  1999.06.14 Release (For YASKAWA Inside only)
ver0.13  1999.06.29 Release (For YASKAWA Inside only)
ver0.14  1999.07.06 Release (For YASKAWA Inside only)
ver0.14A 1999.07.12 Release (For YASKAWA Inside only)
ver0.14B 1999.07.16 Release (For YASKAWA Inside only)
ver0.15  1999.07.18 Release (For YASKAWA Inside only)
ver0.15A 1999.07.21 Release (For YASKAWA Inside only)
ver0.15B 1999.07.22 Release (For YASKAWA Inside only)
ver0.16  1999.08.08 Release (For YASKAWA Inside only)
ver0.17	 1999.08.30 Release (For YASKAWA Inside only)
ver0.18	 1999.09.06 Release (For YASKAWA Inside only)
ver0.19	 1999.09.17 Release (For YASKAWA Inside only)
ver0.19A 1999.09.27 Release (For YASKAWA Inside only)
ver0.19B 1999.10.08 Release (For YASKAWA Inside only)
ver0.19C 1999.10.12 Release (for YASKAWA Inside only)
ver0.20  1999.10.13 Release (for YASKAWA Inside only)
ver0.20A 1999.10.22 Release (for YASKAWA Inside only)
ver0.21  1999.11.04 Release (for YASKAWA Inside only)
ver0.21A 1999.11.05 Release (for YASKAWA Inside only)
ver0.21B 1999.11.11 Release (for YASKAWA Inside only)
ver0.21C 1999.11.16 Release (for YASKAWA Inside only)
ver0.22  1999.11.30 Release (for YASKAWA Inside only)
ver0.22A 1999.12.3  Release (for YASKAWA Inside only)
ver0.23  1999.12.17 Release (for YASKAWA Inside only)
ver0.23A 2000.01.11 Release (for YASKAWA Inside only)
ver0.24  2000.01.14 Release (for YASKAWA Inside only)
ver0.25  2000.02.10 Release (for YASKAWA Inside only)
ver0.26  2000.02.29 Release (for YASKAWA Inside only)
ver0.27  2000.03.17 Release (for YASKAWA Inside only)
ver0.28  2000.04.27 Release (for YASKAWA Inside only)
ver0.29  2000.05.17 Release (for YASKAWA Inside only)
ver0.29A 2000.05.19 Release (for YASKAWA Inside only)
ver0.29B 2000.05.31 Release (for YASKAWA Inside only)
ver0.30  2000.06.05 Release (for YASKAWA Inside only)
ver0.31  2000.06.20 Release (for YASKAWA Inside only)
ver0.31A 2000.06.28 Release (for YASKAWA Inside only)
ver0.32  2000.07.07 Release (for YASKAWA Inside only)
ver0.33  2000.08.19 Release (for YASKAWA Inside only)
ver0.34  2000.10.06 Release (for YASKAWA Inside only)
ver0.35  2000.10.31 Release (for YASKAWA Inside only)
ver0.35A 2000.11.22 Release (for YASKAWA Inside only)
ver0.36  2000.12.15 Release (for YASKAWA Inside only)
ver0.36A 2000.01.30 Release (for YASKAWA Inside only)
ver0.36B 2001.02.07 Release (for YASKAWA Inside only)
ver0.37  2001.02.23 Release (for YASKAWA Inside only)
ver0.37A 2001.03.08 Release (for YASKAWA Inside only)
ver0.37B 2001.03.09 Release (for YASKAWA Inside only)
ver0.37C 2001.03.22 Release (for YASKAWA Inside only)
ver0.37D 2001.05.25 Release (for YASKAWA Inside only)
ver0.37E 2001.05.31 Release (for YASKAWA Inside only)
ver0.37F 2001.06.19 Release (for YASKAWA Inside only)
ver0.37G 2001.07.17 Release (for YASKAWA Inside only)
ver0.37H 2001.08.02 Release (for YASKAWA Inside only)
ver0.37I 2001.09.19 Release (for YASKAWA Inside only)
ver0.37J 2001.10.09 Release (for YASKAWA Inside only)
ver0.37K 2001.11.01 Release (for YASKAWA Inside only)
ver0.37L 2001.12.03 Release (for YASKAWA Inside only)
ver0.40 2001.12.20 Release (for YASKAWA Inside only)
ver0.40A 2002.01.31 Release (for YASKAWA Inside only)
ver0.40B 2002.02.15 Release (for YASKAWA Inside only)
ver0.40C 2002.03.08 Release (for YASKAWA Inside only)
ver0.41 2002.06.10 Release (for YASKAWA Inside only)
ver0.41A 2002.06.12 Release (for YASKAWA Inside only)
ver0.41B 2002.07.01 Release (for YASKAWA Inside only)
ver0.41C 2002.08.29 Release (for YASKAWA Inside only)
ver0.42 2002.12.02 Release (for YASKAWA Inside only)
ver0.42A 2003.02.12 Release (for YASKAWA Inside only)
ver0.43 2003.03.19 Release (for YASKAWA Inside only)
ver0.43A 2003.05.07 Release (for YASKAWA Inside only)
ver0.43B 2003.06.25 Release (for YASKAWA Inside only)
ver0.43C 2003.07.04 Release (for YASKAWA Inside only)
ver0.43D 2003.07.31 Release (for YASKAWA Inside only)
ver0.43E 2003.08.25 Release (for YASKAWA Inside only)
ver0.44XA 2003.12.26 Release (for YASKAWA Inside only)
ver0.45  2004.01.09 Release (for YASKAWA Inside only)
ver0.46  2004.03.05 Release (for YASKAWA Inside only)
ver0.47  2004.03.16 Release (for YASKAWA Inside only)
ver0.50  2004.03.22 Release (for YASKAWA Inside only)
ver0.51  2004.05.24 Release (for YASKAWA Inside only)
===========================================================
2. New functions or components
===========================================================
[Before ver0.10 to ver0.10]
+2.1 [COMPONENT] Add File I/O COM to control the configuration files of controller.
[ver0.10 to ver0.11] 
+2.2 [I/F of COMPONENT] Add Transfer COM a new Interface.(ICpFileTransferConfigEx)
[ver0.11 to ver0.12] 
+2.3 [I/F of COMPONENT] Add Controller COM a new Interface.(ICpControllerControl). It is almost same as Communication COM Interface.
+2.4 [Method] Add GetTargetFileIdDescription in ICpFileTransferConfigEx.
[ver0.12 to ver0.13]
[ver0.13 to ver0.14]
+2.5 [Wrapper COM] Add method for getting the system data version. (GetSystemDataVersion())
+2.6 [Wrapper COM] Add methods for handling error. (ICpWrapperError)
[ver0.14 to ver0.14A]
[ver0.14A to ver0.14B]
+2.7 [Wrapper COM] Add methods for getting the number of the CAM data table array. (ICpWrapperConfig)
[ver0.14B to ver0.15]
[ver0.15 to ver0.15A]
[ver0.15A to ver0.15B]
[ver0.15B to ver0.16]
+2.8 [Communication COM] The maximum data size is extended from 256 words to 512 words in ICpMessage::Send and Recv.
[ver0.16 to ver0.17]
+2.9 [Wrapper COM] The following items are added.
			-  CAM Specification Change/Addition
			-  Restart Task block for un-active tasks
			-  Need Absolute Value function
			-  Default Ladder Code
[ver0.17 to ver0.18]
+2.10 [Installer] Add the auto installation for run time module distribution. See the "Runtime.txt".
[ver0.18 to ver0.19]
+2.11 [Wrapper COM] Add the new method "GetCamDataValue", remove the method "GetCamLastData".
[ver0.19 to ver0.19A]
+2.12 [Wrapper COM] Add the new key word "POWER_UP_VALUE" in VPC. The function works as the initial value set in program.
+2.13 [Wrapper COM] Add the function which use the M-register in CAM ON/OFF.
[ver0.19A to ver0.19B]
+2.14 [Wrapper COM] Add the selectable switch for initial value in the VARIABLE_DEFINE.
+2.15 [Wrapper COM] Allow the empty file name for just allocation of the table in the TABLE_DEFINE
[ver0.19B to ver0.19C]
+2.16 [Transfer COM] Add the new I/F for controlling the module files in the module definition on the individual file transferring.
[ver0.19C to ver0.20]
+2.17 [Installer] Add the new auto installation mode for run time module distribution, not silent mode. The difference point is the show the dialog and set the target directory.
[ver0.20 to ver0.20A]
+2.18 [Installer] Add the "license.dat" for checking the runtime version install.
[ver0.20A to ver0.21]
+2.19 [Installer] Add the checking function of DCOM95 existing on Win95 and install it automatically.
[ver0.21 to ver0.21A]
+2.20 [Communication COM] Add new method MonitorStatus to ICpMessage interface.
[ver0.21A to ver0.21B]
[ver0.21B to ver0.21C]
[ver0.21A to ver0.22]
+2.21 [File I/O COM] Add definition function of MECHATROLINK Dispersion I/O module .(Only MP940)
[ver0.21 to ver0.21A]
[ver0.21A to ver0.21B]
[ver0.21B to ver0.21C]
+2.22 [Transfer COM] Add the C register data transferring function on the individual file transferring.
[ver0.21C to ver0.22]
[ver0.22 to ver0.22A]
[ver0.22A to ver0.23]
+2.23 [Data Trace COM] Add new method "GetTraceLastTime" and "GetTraceLastStatuspFlg" to ICpDataTrace interface.
[ver0.23 to ver0.23A]
[ver0.23A to ver0.24]
+2.24 [Wrapper COM] "VARIABLE_DEFINE" in the VPC file, initial values are set when the controller starts up.
[ver0.24 to ver0.25]
[ver0.25 to ver0.26]
+2.25 [Wrapper COM] In "Home Axis" block, the creep speed item is added.
+2.26 [Wrapper COM] In "Define Position" block, compiler is modified for the adopting the new system ladder.
[ver0.26 to ver0.27]
[ver0.27 to ver0.28]
[ver0.28 to ver0.29]
+2.27 [Wrapper COM] Add the new I/F method "ReadServoParameters()" for getting the all servo pack parameters once.
[ver0.29 to ver0.29A]
[ver0.29A to ver0.29B]
+2.28 [LegacyI/F] For new ladder editor COM. Only for internal use.
[ver0.29B to ver0.30]
+2.29 [Wrapper COM] Add new 3 blocks, "INPUT", "CAM SHIFT", "TORQUE".
+2.30 [Wrapper COM] Modify the compiled ladder code of 3 blocks, "SLAVE OFFSET", "LATCH ON/OFF", "LATCH TARGET" to system ladder ver214.
[ver0.30 to ver0.31]
+2.31 [FileI/O COM] FileI/O COM supports MP930. Before it supports only MP940.
+2.32 [FileI/O COM] ReadCurrentData()/WriteCurrentData() are supported to all data that can read/write current value.(MP930/MP940)  except DeviceNet.
[ver0.31 to ver0.31A]
[ver0.31A to ver0.32]
+2.33 [Controller COM] Add support controller type, "MP920-02", "MP930-02", and "CP-902B".
+2.34 [Transfer COM] Add support controller type, "CP-902B".
[ver0.32 to ver0.33]
[ver0.33 to ver0.34]
+2.35 [Controller COM] Add the new function for monitoring the register value. (ICpControllerRegister)
+2.36 [Controller COM] Extend the function of the ICpControllerControl::ReadRegister / WriteRegister, it can use the string data for any type of register.
+2.37 [FileI/O COM] File I/O COM supports the all ordinal MP series controller except the OEM or customized MP controllers.
[ver0.34 to ver0.35]
+2.38 [FileI/O COM] File I/O COM supports that the helper function is added for querying the item name, and range of item value.
+2.39 [Controller COM] The user management I/F is added. The client can handle the user account, and edit its atribute.
[ver0.35 to ver0.35A]
[ver0.35A to ver0.36]
+2.40 [FileI/O COM] File I/O COM supports the linear moter control of SGDH in SVA of MP940.
+2.41 [FileI/O COM] The new helper function in File I/O COM is added. The function is to query the combo item information in one value. (GetBitDetailName)
+2.42 [Controller COM] The new function for quering the supported controller type is added. (GetSupportControllerType,GetSupportControllerTypeSize)
[ver0.36 to ver0.36A]
[ver0.36A to ver0.36B]
[ver0.36B to ver0.37]
+2.43 [User Menu COM] The new COM that is the user menu function of MotionWorks, is added.
+2.44 [Transfer COM] The new customized internal COM I/F is added for the tokyo factory.
[ver0.37 to ver0.37A]
[ver0.37A to ver0.37B]
[ver0.37B to ver0.37C]
[ver0.37C to ver0.37D]
+2.45 [Transfer COM] New Ladder Datas are supported.
+2.46 [Controller COM] The method for the acquisition of the logical port type was added.
+2.47 [Controller Selection OCX] Add new component "Controller Selection OCX".
+2.48 [Controller COM] The property for handling the logon timeout is added.
+2.49 [Communication Setup COM] The setup COM for communicaiton manger is released.
[ver0.37D to ver0.37E]
[ver0.37E to ver0.37F]
+2.50 [Table Data COM] The table data COM is released.
[ver0.37F to ver0.37G]
+2.51 [Ladder COM(private)] The method "legacy_MapDwgEnaDis" is added for handling the enable/diable program.
+2.52 [Ladder COM(private)] The loading the program speed is modified.
[ver0.37G to ver0.37H]
[ver0.37H to ver0.37I]
+2.53 [General] Windows 2000 is supported on this version.
[ver0.37I to ver0.37H]
[ver0.37H to ver0.37I]
[ver0.37I to ver0.37J]
+2.54 [Communication Manager] ICpMessage::MonSts supports CP-215 protocol(before supports only CP-218(Ethernet).
[ver0.37J to ver0.37K]
[ver0.37K to ver0.37L]
[ver0.37L to ver0.40]
+2.55 [Everything] The multi byte path was supported.
+2.56 [Everything] The double installation of MPE720 and CP717 was supported.
[ver0.40 to ver0.40A]
+2.57 [Controller COM] The function to read/Write the register data in offline was supported.
+2.58 [General] The MP930-03 is supported.
[ver0.40A to ver0.40B]
+2.59 [Ladder COM(private)] The method "legacy_GetCregCnt" is added for get the counts of #-Register data.
+2.60 [Ladder COM(private)] The method "legacy_GetCregData" is added for get the #-Register data.
[ver0.40B to ver0.40C]
[ver0.40C to ver0.41]
+2.61 [Controller COM]  Add the new method "ReadRegisterEx" in ICpControllerControl.
[ver0.41 to ver0.41A]
[ver0.41A to ver0.41B]
[ver0.41B to ver0.41C]
[ver0.41C to ver0.42]
[ver0.42 to ver0.42A]
[ver0.43 to ver0.43A]
+2.62 [General] The NSC50 is supported.
[ver0.43A to ver0.43B]
[ver0.43B to ver0.43C]
[ver0.43C to ver0.43D]
[ver0.43D to ver0.43E]
[ver0.43E to ver0.44XA]
[ver0.44XA to ver0.45]
[ver0.45 to ver0.46]
[ver0.46 to ver0.47]
+2.63 [Controller COM] Add the new controller for LG[G4F-MP2A] (and HITACHI[HIT-MP2A], SHARP[SHP-MP2A]).
[ver0.47 to ver0.50]
+2.64 [Communication COM] Add new I/F ICpRegister.
[ver0.50 to ver0.51]
+2.65 [Motion COM] Add new Component. YeMotionFactory COM and YeMotionProg COM.
+2.66 [Controller COM] Add new Method "Flash" in ICpControllerControl. 

===========================================================
3. Fixed bugs list 
===========================================================
[Before ver0.10 to ver0.10]
+3.1 [Data Trace COM] Can't run StartMonitor() normally. The number of data was 0.
+3.2 [Communication COM] ICpMessage::Send/Recv method cause error on CP-218.
[ver0.10 to ver0.11]
+3.3 [Transfer COM] Bugs of the DiskCapacity value in property::TransferDiskCapacity.
+3.4 [Communication COM] Unable to get IP address property in ICpPanel/ICpMessage(CP-218).
[ver0.11 to ver0.12] 
+3.5 [Controller COM] Bug of the 'LogOnUser' method. When Application sets more than 8 character user name , Controller COM occurs Access Violation.
+3.6 [Transfer COM] Bugs of the 'GetTransferCount' method. Can't Get File Count.
+3.7 [Transfer COM]Delete $PCDEF in New Mode.
+3.8 [Wrapper COM] Fixed memory-leaking in Expression.
[ver0.12 to ver0.13]
+3.9 [Communication COM] Application terminates abnormally when closing Link-xfer.
+3.10 [Controller COM] Can't connect correctly except CP-217 device. Fixed the bug to connect CP-215,CP-218,and modem.
[ver0.13 to ver0.14]
+3.11 [Wrapper COM] Can't download correctly.  Can't compile the expression correctly. Fixed the bugs.
[ver0.14 to ver0.14A]
+3.12 [Transfer COM] Can't transfer the module definition file on some special cases by strict checking. Change the spec to do.
[ver0.14A to ver0.14B]
+3.13 [Wrapper COM] Expression bugs were fixed. In case of the bit comparison, the expression occurs error. ex.) BIT1==BIT2
+3.14 [Wrapper COM] Task define bugs were fixed. In case of the not continuous task number, for example '3', '5', It can't compile.
+3.15 [Wrapper COM] CAM table bugs were fixed. 
+3.16 [Wrapper COM] Modify the MOVE, HOME AXIS, LATCH TARGET for matching the system ladder program on  ver.094.
[ver0.14B to ver0.15]
+3.17 [Wrapper COM] Modify the MOVE, HOME AXIS, LATCH TARGET for matching the system ladder program on  ver.095.
+3.18 [Wrapper COM] Some memory leaks were fixed. On the NT, some time the client application occurs crashed.
[ver0.15 to ver0.15A]
+3.19 [Wrapper COM] Modify the PROGRAMMABLE LIMIT SWICTH, LATCH ON/OFF, DEFINE POSITION, CAM ON/OFF
                    for matching the system ladder program on  ver.095.
+3.20 [Wrapper COM] The Compile Mode was wrong. (Wrapper COM: [Optimized:0, Normal:1] VMW: [Normal:0, Optimized:1])
+3.21 [Wrapper COM] CAM ON/OFF bugs were fixed.
[ver0.15A to ver0.15B]
+3.22 [Wrapper COM] GEAR ON/OFF bugs were fixed. GEAR also uses the CAM ON executable.
+3.23 [Wrapper COM] CAM ON/OFF spec. was changed. CAM needs the 'Angle Unit' value, even if it doesn't be checked advanced.
+3.24 [Wrapper COM] Ladder comment was mistaken. The compile mode was switched the Normal mode and Optimize mode.
+3.25 [Wrapper COM] RESTART PROGRAM was changed. it can be set the program block ID.
+3.26 [Wrapper COM] Add the event for the system program, before download, after download to get timing for rest the system ladder itself.
[ver0.15B to ver0.16]
+3.27 [Wrapper COM] Syntax check in Expression was improved .
+3.28 [Communication COM] Method parameters of ICpMessage::Send() and Recv() were changed.
[ver0.16 to ver0.17]
+3.29 [File I/O COM] Add the error code of the new packet data( fixed parameter,  setting parameter, servo pack..) detail information when read the SVA definition file.
[ver0.17 to ver0.18]
[ver0.18 to ver0.19]
+3.30 [Wrapper COM] Modify to adopt to the ver102 system ladder code. CAM block, and so on.
[ver0.19 to ver0.19A]
+3.31 [Wrapper COM] In the wrapper created ladder, there are some syntax errors about PC management.
[ver0.19A to ver0.19B]
+3.32 [Wrapper COM] "Can not compile program with a subroutine." is fixed.
+3.33 [Wrapper COM] Many memory leaks are fixed, for example on the program down load.
+3.34 [Wrapper COM] "Can not go on-line following a compile with disconnect" in fixed.
+3.35 [Wrapper COM] "Write/Read variables about Bit data" is fixed.
+3.36 [Wrapper COM] "Table value doesn't set/get correctly" is fixed.
+3.37 [Wrapper COM] "GetCamDataValue doesn't work properly" is fixed. this is a sample program's bug, not COM.
+3.38 [Controller COM] "Write/Read variables about Bit data" is fixed.
[ver0.19B to ver0.19C]
[ver0.19C to ver0.20]
[ver0.20 to ver0.20A] 
+3.39 [Wrapper COM] Some memory leaks are fixed, for example on the program down load.
[ver0.20A to ver0.21]
+3.40 [Wrapper COM] The following item was fixed. When the task defined 2 tasks such as the No1 and 8, it happened the compile error. 
+3.41 [Wrapper COM] The methods, "GetTableArrayNumber", "GetCamDataValue" are fixed. They don't require on-line data, so makes them not access to controller.
[ver0.21 to ver0.21A]
[ver0.21A to ver0.21B]
+3.42 [Communication COM] Communication Process probably become zombie when a client using Message communication with two or more stations ends.
[ver0.21B to ver0.21C]
+3.43 [Communication COM] Communication Process leaks some resources.
[ver0.21C to ver0.22]
+3.44 [Transfer COM] On the servo pack data transferring, the data is updating not only to the controller but also to servo pack.
+3.45 [Wrapper COM] The system hang up bug was fixed. When a block receives more than 8 connections from other blocks, the system hangs up.
[ver0.22 to ver0.22A]
+3.46 [Transfer COM] The "+3.44" have to do on the new firmware, the controller have not done yet, so once the function is disabled until firmware is modified.
[ver0.22A to ver0.23]
+3.47 [Wrapper COM] The Huge program is written on 1 task, the program compile hung up. The bug was fixed.
[ver0.23 to ver0.23A]
+3.48 [Communication COM] Communication Process sometimes fails when a client use ICpMessage::Open/Close. (CP-215/CP-218)
[ver0.23A to ver0.24]
+3.49 [Wrapper COM] On the "Programmable Limit Switch" block the maximum number of the item is 8, but it can't set 8. The bug was fixed.
[ver0.24 to ver0.25] 
+3.50 [Transfer COM]  The "+3.44" is enabled. The CimScope controls the new function from CPU version.
+3.51 [Controller COM] The default value of the timeout is changed 10000msec. Before it was 5000msec. Because "+3.44" function should take more than 5000msec for getting response from controller.
+3.52 [Wrapper COM] The result value of the calculating the gear ratio on the CAM block.
+3.53 [Wrapper COM] The initial value "set - Boolean to set initial value or not" is ignored.
+3.54 [Wrapper COM] In the expression, "B1 && B2 && B3 && B4 && B5 && B6 && B7 && B8" is no good, the system is crashed. The bug is fixed.
[ver0.26 to ver0.27]
+3.55 [File I/O COM] The sample program has some bugs, not bug of COM module. For example, the ReadCurrentData/WriteCurrentData needs sub item ID for using the method. But the ID is hidden.
+3.56 [Data Trace COM] When the bit register is monitored, the COM return the wrong value, only returned the 0-bit value, even the parameter is set as other bit.
[ver0.27 to ver0.28]
+3.57 [Communication COM] When Close() is closed, there are about 3 Mbytes memory leaks. 
+3.58 [Controller COM] for +3.57 bugs occurs memory leak in Controller COM. the Destroy()/UpdateProperty() are called on online mode.
[ver0.28 to ver0.29]
+3.59 [File I/O COM] Some system reserved parameters can be set the value. It is fixed to protect setting value.
[ver0.29 to ver0.29A]
+3.60 [Wrapper COM] Inside of "ReadServoParameters()" , there are some memory leak. On the WinNT, Crashed the app. It was fixed. 
[ver0.29A to ver0.29B]
+3.61 [Controller COM] The COM can't realize the "MP920-02", it mistakes it "MP920".
[ver0.29B to ver0.30]
[ver0.30 to ver0.31]
+3.62 [Wrapper COM] Modify the compiled ladder code of "SLAVE OFFSET".
[ver0.31 to ver0.31A]
+3.63 [Communication COM] Fixed some system resource leaks when the call "open" / "close" repeatly.
+3.64 [Communication COM] Fixed the dialog text, "Non" to "None" on the communication manager window.
[ver0.31A to ver0.32]
+3.65 [Controller COM] When Read/Write register to local data ( D-register ) of Parent program ( "H/L/A" ) on ReadRegster()/WriteRegiter(), the COM return error.
+3.66 [Controller COM] In QueryInfo(), when the return value type is sting, the system returns error.
[ver0.32 to ver0.33]
+3.67 [Transfer COM] On the all file transfer function, after execute it once, then try to execute again, it doen't refer the property of trasfering, all files are transferred.
+3.68 [File I/O COM] On the online mode, when the SVA file is opened, it is failed, in the case of no directory set on Controller COM. Because the servo firm DB file is not propered 
On the all file transfer function, after execute it once, then try to execute again, it doen't refer the property of trasfering, all files are transferred.
+3.69 [Transfer COM] The Transfer order is changed to function -> DWG at the time of All program Transfer.
+3.70 [Transfer COM] A detailed setting becomes becoming of TRN_DATA_MODDEF with ICpFileTransferConfig I/F.
+3.71 [Transfer COM] Data cannot be normally acquired in GetTargetFileDetail. 
+3.72 [Transfer COM] Writing is defective of D register. 
[ver0.33 to ver0.34]
+3.73 [Data Trace COM] There is no function for deleting the trigger condition. It can use the "SetTraceStartCondition"/"SetTraceStopCondition"  that is set null string.
+3.74 [File I/O COM] On the serial COM1 of MP940, there are some wrong default values. after writing data, the controller can not communicate with the PC.
[ver0.34 to ver0.35]
[ver0.35 to ver0.35A]
+3.75 [File I/O COM] If the modelue configuration file data is edited by the old version MW, the file I/O COM failed to read the data.
[ver0.35A to ver0.36]
[ver0.36 to ver0.36A]
+3.76 [Wrapper COM] The SCR#2090, SCR#2132 are fixed. About connection problems with the MP940.
[ver0.36A to ver0.36B]
+3.77 [Wrapper COM] Open Error of SVA's file.
[ver0.36B to ver0.37]
+3.78 [Transfer  Com] $SVCFG04.TDF and $SVCFG04.TDT does not transfer.
+3.79 [Data Trace COM] When the smaller number than the total number of the data is set , it causes an error in "GetTraceData".
+3.80 [Data Trace COM] When the "StartMonitor" is called repeatly in many times, the system hungs up.
[ver0.37 to ver0.37A]
+3.81 [Transfer COM] During transfering a file that is modlue configuration for example SVA definition, the error is not happen to the client.
[ver0.37A to ver0.37B]
+3.82 [Transfer COM] The [+3.81] bug is not modified completely. In the MP920, there are some cases that it doens't occur any error.
[ver0.37B to ver0.37C]
+3.83 [Controlller COM] The communication timeout is too short when the customer pc is not powerful. So the timeout is changed to some longer.
[ver0.37C to ver0.37D]
+3.84 [Controller COM] The D register read is failed when the length of fucntion name is 5 or more.
[ver0.37D to ver0.37E]
+3.85 [Controller COM] On the offline mode, when the "UpdateProperty" method is called, the applcaiton will be down.
[ver0.37E to ver0.37F]
[ver0.37F to ver0.37G]
[ver0.37G to ver0.37H]
+3.86 [Ladder COM(private)] In the legacy COM. Can't completely save file.
+3.87 [Transfer COM] Reading is defective of I/O register. (CPDH_CPU_092)
[ver0.37H to ver0.37I]
+3.88 [Transfer COM] Can't transfer new ladder program from HD to HD.
+3.89 [Ladder COM(private)] Can't function SCOPE ON/OFF.
[ver0.37I to ver0.37J]
[ver0.37J to ver0.37K]
+3.90 [Controller COM] Failed to create new controller folder with Create() when the Directroty property value is only drive name like "C:\".
+3.91 [Ladder COM(private)] The error occurs during verify when M table and # Table is defined.
[ver0.37K to ver0.37L]
+3.92 [Communication Manager] The 0x20000209(CMG_STS_HANDLE_ERROR) error occurs in the CP-215ISA module while communicating.
+3.93 [Communication Manager] It is not possible to communicate though it is possible to do to the start of the communication process normally by starting OS with the interrupt signal entered when the CP-215ISA module is used.
[ver0.37L to ver0.40]
[ver0.40 to ver0.40A]
+3.94 [Transfer COM] When the data of I register is dumped, The error occurred. The error is "The register number exceeds the range.".
+3.95 [Wrapper COM] The numerical value of 7 digits or more figures can not be set as MF register.
+3.96 [Wrapper COM] The Compile of a large program did not generate the right DWG. 
[ver0.40A to ver0.40B]
+3.97 [Data Trace COM] The error ID(PLCLIBERR_QUERYDATANOTFOUND) were Added. 
[ver0.40B to ver0.40C]
+3.98 [Environment data] Can't edit the constant table in the MP940 controller.
[ver0.40C to ver0.41]
+3.99 [Controller COM] The "Commit()" method  doesn't return the error when it sets up true with "DirectryAutoCreate()" and directory path with "Directory()" property.
+3.100 [Controller COM] The information on the added user privilege is unacquirable in "GetPrivilege()" method.
+3.101 [Ladder COM(private)] The information of enable/disable is not saved. 
[ver0.41 to ver0.41A]
+3.102 [Communication Manager] When the communication device is used with duplex optical CP215, the communication is not recoverd after CPU is down.
[ver0.41A to ver0.41B]
+3.103 [Communication COM] In the ICpPanel,ICpMessage and ICpLink, a resource will become insufficient if "CreateInstance()" is Called two or more times continuously.
[ver0.41B to ver0.41C]
+3.104 [Installer] A communication Manager cannot be installed when installing in already installed PC.
+3.105 [Wrapper COM] If "0.034332275391" is set as expressions, it generates an FFFF error even though the expression is valid.
[ver0.41C to ver0.42]
+3.106 In the link communication of dual CP-215 module, can't get the data from controller.
[ver0.42 to ver0.42A]
+3.107 The online judgment method became off-line when the child frame started while minimized, and the error message box was displayed. 
[ver0.43 to ver0.43A]
[ver0.43A to ver0.43B]
+3.108 When the servo pack file ($SVPxxyy) of an axis exists, if a file transfer is carried out, it will become an error in file share logic.
[ver0.43B to ver0.43C]
+3.109 When the servo pack file ($SVPxxyy) of an axis does not exist, the error without an error number is displayed.
+3.110 Shortage of the internal memory for reading a matrix data attribute.
[ver0.43C to ver0.43D]
+3.111 [Communication Manager] In a write-in system panel command, TEXT part data of response is not copied normally.
+3.112 [Communication Manager] An addition of the definition for motions.
+3.113 [Communication Manager] Message transmitting abnormalities (0x20000213) occur by CP-215 message communication.
[ver0.43D to ver0.43E]
+3.114 [Trace COM] If change the group number, the system became no responding.
+3.115 [Trace COM] Trace buffer size is illegal.
[ver0.43E to ver0.44XA]
[ver0.44XA to ver0.45]
+3.116  [Communication Manager] Buffer size of cp-215 doubleness communication is inclused (32->128).
[ver0.45 to ver0.46]
+3.117  [Controller COM] "MFOrderManager.exe" does not comes up on low spec PC.
[ver0.46 to ver0.47]
[ver0.47 to ver0.50]
[ver0.50 to ver0.51]

==========================================================
4. System Requirements
==========================================================
* Microsoft(R) Windows(R) 95, 98 or Windows NT(R) 4.0 with Service Pack 5 up or Windows 2000(R) with Serive Pack1 up operating system.
* Pentium 200 MHz or better machine 
* 64 megabytes (MB) random access memory (RAM).
* 100 MB of free disk space to install the application and all supporting libraries.

Windows Me is not supported now.

==========================================================
5. Installation
==========================================================
When you call the setup.exe, please close all applications on taskbar and tasktray of Windows.
If you don't close all applications during install, there are some cases that CimScope installtion fails.

==========================================================
6. Others
==========================================================
[Before ver0.10 to ver0.10]
[ver0.10 to ver0.11]
[ver0.11 to ver0.12] 
[ver0.12 to ver0.13]
[ver0.13 to ver0.14]
[ver0.14 to ver0.14A]
[ver0.14A to ver0.14B]
[ver0.14B to ver0.15]
[ver0.15 to ver0.15A]
[ver0.15A to ver0.15B]
[ver0.15B to ver0.16]
[ver0.16 to ver0.17]
[ver0.17 to ver0.18]
[ver0.18 to ver0.19]
[ver0.19 to ver0.19A]
[ver0.19A to ver0.19B]
[ver0.19B to ver0.19C]
[ver0.19C to ver0.20]
[ver0.20 to ver0.20A]
[ver0.20A to ver0.21]
[ver0.21 to ver0.21A]
[ver0.21A to ver0.21B]
[ver0.21B to ver0.21C]
[ver0.21C to ver0.22]
[ver0.22 to ver0.22A]
[ver0.22A to ver0.23]
[ver0.23 to ver0.23A]
[ver0.23A to ver0.24]
[ver0.24 to ver0.25]
[ver0.26 to ver0.27]
[ver0.27 to ver0.28]
[ver0.28 to ver0.29]
[ver0.29 to ver0.29A]
[ver0.29A to ver0.29B]
[ver0.29B to ver0.30]
[ver0.30 to ver0.31]
[ver0.31 to ver0.31A]
[ver0.31A to ver0.32]
[ver0.32 to ver0.33]
[ver0.33 to ver0.34]
[ver0.34 to ver0.35]
[ver0.35 to ver0.35A]
[ver0.35A to ver0.36]
[ver0.36 to ver0.36A]
[ver0.36A to ver0.36B]
[ver0.36B to ver0.36C]
[ver0.37A to ver0.37B]
[ver0.37B to ver0.37C]
[ver0.37C to ver0.37D]
[ver0.37D to ver0.37E]
[ver0.37E to ver0.37F]
[ver0.37F to ver0.37G]
[ver0.37G to ver0.37H]
[ver0.37H to ver0.37I]
[ver0.37I to ver0.37J]
[ver0.37J to ver0.37K]
[ver0.37K to ver0.37L]
[ver0.37L to ver0.40]
[ver0.40 to ver0.40A]
[ver0.40A to ver0.40B]
[ver0.40B to ver0.40C]
[ver0.40C to ver0.41]
[ver0.41 to ver0.41A]
[ver0.41A to ver0.41B]
[ver0.41B to ver0.41C]
[ver0.41C to ver0.42]
The version of InstallShield is updated from 6.30 to 6.31.
[ver0.42 to ver0.42A]
[ver0.43A to ver0.43B]
[ver0.43B to ver0.43C]
[ver0.43C to ver0.43D]
The Communication Manager supports Chinese language.
[ver0.43D to ver0.43E]
[ver0.43E to ver0.44XA]
[ver0.44XA to ver0.45]
[ver0.45 to ver0.46]
[ver0.46 to ver0.47]
[ver0.47 to ver0.50]
[ver0.50 to ver0.51]
